<template>
  <div class="card">
    <div class="card-body">
      <h4
        class="card-title"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : 'txt-left'"
      >
        {{ $t("app.contact") }}
      </h4>
      <div
        class="font-size-14 col-12"
        :dir="$i18n.locale == 'ar' ? 'rtl' : 'rtl'"
        :style="$i18n.locale == 'ar' ? '' : 'text-align: left'"
      >
        <div class="row mt-">
          <!-- Email -->

          <div class="col-12 form-group">
            <label
              class="form-control-label"
              :class="$i18n.locale == 'ar' ? 'text-right' : 'text-left'"
            >
              {{ $t("view.company_email") }}
            </label>

            <div :class="$i18n.locale == 'ar' ? 'text-right' : 'text-left'">
              <input
                type="email"
                class="form-control"
                name="email"
                style="margin-right: 20px"
                :placeholder="$t('view.company_email')"
                v-model="row.email"
                v-on:change="handleDataChange"
              />
            </div>
          </div>

          <!-- Mobile -->

          <div class="col-12 form-group">
            <label
              class="form-control-label"
              :class="$i18n.locale == 'ar' ? 'text-right' : 'text-left'"
            >
              {{ $t("view.company_mobile") }}
            </label>
            <div :class="$i18n.locale == 'ar' ? 'text-right' : 'text-left'">
              <input
                type="text"
                class="form-control"
                name="mobile"
                style="margin-right: 20px"
                :placeholder="$t('view.company_mobile')"
                v-model="row.mobile"
                v-on:change="onDataChange"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardStatus",
  props: ["email", "mobile"],
  data() {
    return {
      row: {
        email: this.$props.email ?? "",
        mobile: this.$props.mobile ?? "",
      },
    };
  },
  methods: {
    onDataChange() {
      this.$emit("DataChange", this.row);
    },
  },
};
</script>
